Index: trunk/SophyaLib/HiStats/Makefile
===================================================================
--- trunk/SophyaLib/HiStats/Makefile	(revision 2763)
+++ trunk/SophyaLib/HiStats/Makefile	(revision 2765)
@@ -4,14 +4,14 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
-$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -25,9 +25,9 @@
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)sopnamsp.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -44,20 +44,19 @@
   $(SOPHYAINCP)fiosegdb.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatable.cc
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)segdatablock.h \
-  swppfdtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
@@ -65,10 +64,9 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fiosegdb.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)hisprof.o: hisprof.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  hisprof.h $(SOPHYAINCP)peida.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
+ 
+$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h hisprof.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -90,22 +88,20 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h histos.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)histerr.o: histerr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histinit.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
+ 
+$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  histerr.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  histos.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)sophyainit.h histerr.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h histos.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -119,69 +115,40 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
 $(SOPHYAOBJP)histinit.o: histinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histinit.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  histos.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h histos2.h \
-  hisprof.h histerr.h ntuple.h ntupintf.h xntuple.h datatable.h \
-  basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
-  swppfdtable.h \
+  $(SOPHYAINCP)sophyainit.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h histos2.h hisprof.h \
+  histerr.h ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)histos2.o: histos2.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histos2.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)histos.o: histos.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h histos.h \
   $(SOPHYAINCP)objfio.h \
@@ -207,15 +174,37 @@
   $(SOPHYAINCP)poly.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
+ 
+$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
  
 $(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h \
+  $(SOPHYAINCP)sopnamsp.h ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)ntuple.o: ntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
+ 
+$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)perrors.h \
@@ -228,13 +217,12 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
 $(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)sopnamsp.h proxtuple.h \
+  ntuple.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -244,12 +232,12 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  proxtuple.cc
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -266,8 +254,7 @@
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)sopnamsp.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)xntuple.o: xntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
+ 
+$(SOPHYAOBJP)xntuple.o: xntuple.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -277,9 +264,9 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)perrors.h xntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)perrors.h xntuple.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
+ 
Index: trunk/SophyaLib/HiStats/objlist.list
===================================================================
--- trunk/SophyaLib/HiStats/objlist.list	(revision 2763)
+++ trunk/SophyaLib/HiStats/objlist.list	(revision 2765)
@@ -5,6 +5,6 @@
 histerr.o
 histinit.o
+histos.o
 histos2.o
-histos.o
 ntupintf.o
 ntuple.o
Index: trunk/SophyaLib/HiStats/smakefile
===================================================================
--- trunk/SophyaLib/HiStats/smakefile	(revision 2763)
+++ trunk/SophyaLib/HiStats/smakefile	(revision 2765)
@@ -4,14 +4,14 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
-$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -25,9 +25,9 @@
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)sopnamsp.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -44,20 +44,19 @@
   $(SOPHYAINCP)fiosegdb.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatable.cc
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)segdatablock.h \
-  swppfdtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
@@ -65,10 +64,9 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fiosegdb.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)hisprof.o: hisprof.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  hisprof.h $(SOPHYAINCP)peida.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
+ 
+$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h hisprof.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -90,22 +88,20 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h histos.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)histerr.o: histerr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histinit.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
+ 
+$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  histerr.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  histos.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)sophyainit.h histerr.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h histos.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -119,69 +115,40 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
 $(SOPHYAOBJP)histinit.o: histinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histinit.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  histos.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h histos2.h \
-  hisprof.h histerr.h ntuple.h ntupintf.h xntuple.h datatable.h \
-  basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
-  swppfdtable.h \
+  $(SOPHYAINCP)sophyainit.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h histos2.h hisprof.h \
+  histerr.h ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)histos2.o: histos2.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histos2.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)histos.o: histos.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h histos.h \
   $(SOPHYAINCP)objfio.h \
@@ -207,15 +174,37 @@
   $(SOPHYAINCP)poly.h \
   $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
+ 
+$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
  
 $(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h \
+  $(SOPHYAINCP)sopnamsp.h ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)ntuple.o: ntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
+ 
+$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)perrors.h \
@@ -228,13 +217,12 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
 $(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)sopnamsp.h proxtuple.h \
+  ntuple.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -244,12 +232,12 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  proxtuple.cc
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -266,8 +254,7 @@
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)sopnamsp.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)xntuple.o: xntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
+ 
+$(SOPHYAOBJP)xntuple.o: xntuple.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -277,9 +264,9 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)perrors.h xntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)perrors.h xntuple.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
+ 
